Application package does not compile

Issues related to applications and software problems and general support
User avatar
kerogaz
Posts: 36
Joined: 2019/11/28 09:09:01

Re: Application package does not compile

Post by kerogaz » 2019/12/04 12:17:04

for reliability I download now iso Centos 6.2 and no more updates :roll:

User avatar
TrevorH
Forum Moderator
Posts: 29652
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Application package does not compile

Post by TrevorH » 2019/12/04 13:22:20

Please do not use CentOS 6.2! It's 8 years old and riddled with security bugs. If you must use CentOS 6 then you should use 6.10 not 6.2. And in either case you should be aware that there is less than 1 year of life left in CentOS 6 before updates stop completely. And since you already stated that the problem does not happen on CentOS 7, that's what you should be using.
CentOS 6 will die in November 2020 - migrate sooner rather than later!
Info for USB installs on http://wiki.centos.org/HowTos/InstallFromUSBkey
CentOS 5 is dead, do not use it.
Full time Geek, part time moderator. Use the FAQ Luke

User avatar
kerogaz
Posts: 36
Joined: 2019/11/28 09:09:01

Re: Application package does not compile

Post by kerogaz » 2019/12/04 13:40:55

In sentos 7.0 work and for example with 7.7 you can no longer compile. I can’t track in which version the compilation of the application stopped. Our whole cluster has been working on CentOS6 since 2012 without any problems

User avatar
TrevorH
Forum Moderator
Posts: 29652
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Application package does not compile

Post by TrevorH » 2019/12/04 13:57:36

Even so, running 6.2 is a recipe for disaster.

The problem you seem to have is that you are attempting to build really old versions of this software on an operating system that is relatively up to date. It's the version of the software you need to change, not the version of CentOS.
CentOS 6 will die in November 2020 - migrate sooner rather than later!
Info for USB installs on http://wiki.centos.org/HowTos/InstallFromUSBkey
CentOS 5 is dead, do not use it.
Full time Geek, part time moderator. Use the FAQ Luke

User avatar
kerogaz
Posts: 36
Joined: 2019/11/28 09:09:01

Re: Application package does not compile

Post by kerogaz » 2019/12/04 14:12:11

TrevorH wrote:
2019/12/04 13:57:36
Even so, running 6.2 is a recipe for disaster.

The problem you seem to have is that you are attempting to build really old versions of this software on an operating system that is relatively up to date. It's the version of the software you need to change, not the version of CentOS.
latest version torque 6.1.1.1 https://www.adaptivecomputing.com/products/torque/ also cannot be installed in CentOS 8. See my posts above

User avatar
TrevorH
Forum Moderator
Posts: 29652
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Application package does not compile

Post by TrevorH » 2019/12/04 14:18:18

Why would you want to do that when there a torque packages already in CentOS 8 as part of the distro?
[root@centos8 ~]# dnf list \*torq\*
Last metadata expiration check: 0:27:08 ago on Wed Dec 4 13:50:29 2019.
Available Packages
torque.x86_64 4.2.10-17.el8 PowerTools
torque-devel.i686 4.2.10-17.el8 PowerTools
torque-devel.x86_64 4.2.10-17.el8 PowerTools
torque-libs.i686 4.2.10-17.el8 AppStream
torque-libs.x86_64 4.2.10-17.el8 AppStream
CentOS 6 will die in November 2020 - migrate sooner rather than later!
Info for USB installs on http://wiki.centos.org/HowTos/InstallFromUSBkey
CentOS 5 is dead, do not use it.
Full time Geek, part time moderator. Use the FAQ Luke

User avatar
kerogaz
Posts: 36
Joined: 2019/11/28 09:09:01

Re: Application package does not compile

Post by kerogaz » 2019/12/04 14:21:14

TrevorH wrote:
2019/12/04 14:18:18
Why would you want to do that when there a torque packages already in CentOS 8 as part of the distro?
[root@centos8 ~]# dnf list \*torq\*
Last metadata expiration check: 0:27:08 ago on Wed Dec 4 13:50:29 2019.
Available Packages
torque.x86_64 4.2.10-17.el8 PowerTools
torque-devel.i686 4.2.10-17.el8 PowerTools
torque-devel.x86_64 4.2.10-17.el8 PowerTools
torque-libs.i686 4.2.10-17.el8 AppStream
torque-libs.x86_64 4.2.10-17.el8 AppStream
torque 4.2.4.1.tar.gz and torque 6.1.1.1.tar.gz (Adaptivecomputuing) but I have already removed 8 and put centos 6. I highly recommend reading all of my posts above.

User avatar
TrevorH
Forum Moderator
Posts: 29652
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Application package does not compile

Post by TrevorH » 2019/12/04 14:28:40

I did read your posts. On CentOS 8 you have been trying to build something that we already supply as part of the distro and then complaining that your unnecessary build does not work.
CentOS 6 will die in November 2020 - migrate sooner rather than later!
Info for USB installs on http://wiki.centos.org/HowTos/InstallFromUSBkey
CentOS 5 is dead, do not use it.
Full time Geek, part time moderator. Use the FAQ Luke

User avatar
kerogaz
Posts: 36
Joined: 2019/11/28 09:09:01

Re: Application package does not compile

Post by kerogaz » 2019/12/04 14:32:19

Everything stops both in CentOS8 and in Debian 10 at compilation on openssl-devel

User avatar
TrevorH
Forum Moderator
Posts: 29652
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Application package does not compile

Post by TrevorH » 2019/12/04 14:34:32

That doesn't answer: why are you trying to build something from source when you can `dnf install torque`?
CentOS 6 will die in November 2020 - migrate sooner rather than later!
Info for USB installs on http://wiki.centos.org/HowTos/InstallFromUSBkey
CentOS 5 is dead, do not use it.
Full time Geek, part time moderator. Use the FAQ Luke

Post Reply

Return to “CentOS 8 - General Support”